Convert BigCommerce Customer Group into Company

Creates a Company account that is automatically assigned to a BigCommerce customer group. You cannot create a Company from a customer group that already has an assigned Company account. Note that this endpoint **is not supported** if your store: * Has Multi-Storefront enabled * Is using Independent Companies behavior If you have configured required information fields in your store’s Extra Fields settings for Company accounts or Company users, you must include the field’s name and value in the extraFields array of the request body. For more information on extra fields, see [B2B Edition Settings](https://support.bigcommerce.com/s/article/B2B-Edition-Settings) in the Help Center.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
OR
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

customerGroupIdstringRequired

Request

This endpoint expects an object.
companyEmailstringRequiredformat: "email"<=200 characters
The primary email address for the Company account.
companyNamestringRequired<=200 characters
The name of the business associated with the Company account.
companyPhonestringRequired<=50 characters
The primary phone number for the Company account.
acceptCreationEmailbooleanOptionalDefaults to false

Indicates whether or not the administrator receives a welcome email when the Company account is created.

true: Sends the welcome email to the admin user

false: Does not send the email

addressstringOptional
The first line of the address.
adminEmailstringOptionalformat: "email"1-100 characters

The email address of the Company account administrator. If an existing BigCommerce customer account uses this email address, it is automatically linked to the administrator’s Company user account.

adminFirstNamestringOptional1-100 characters
The first name of the Company account administrator.
adminLastNamestringOptional1-100 characters
The last name of the Company account administrator.
adminPhoneNumberstringOptional1-100 characters
The phone number of the Company account administrator.
apartmentstringOptional
The second line of the address.
catalogIdstringOptional
The ID of the price list assigned to the Company account. This field is read-only for stores using [Independent Companies Behavior](/developer/api-reference/rest/b2b/management/companies#independent-vs-dependent-companies-behavior). If your store uses legacy Dependent Companies behavior **and** it does not have Multi-Storefront enabled, this field is **required** for creating new Company accounts. If your store has Multi-Storefront enabled, use the `priceListAssign` array instead.
citystringOptional1-100 characters
The city of the primary address for the Company account.
countrystringOptional1-200 characters
The country of the primary address for the Company account. This must be either the full name or the ISO2 country code.
extraFieldslist of objectsOptional
statestringOptional1-50 characters
The state of the primary address for the Company account, if applicable. This must be the full name and not an abbreviation.
userExtraFieldslist of objectsOptional
zipCodestringOptional
The postal code on the address.

Response

OK
codeinteger
dataobject
metaobject

Errors

400
Bad Request Error
404
Not Found Error